<header>
  <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
    <div class="container-fluid">
      <a class="nav-link active" routerLink="/">
        <h2 class="text-white">Control🗃</h2>
      </a>

      <button
        class="navbar-toggler"
        type="button"
        data-bs-toggle="collapse"
        data-bs-target="#navbarNav"
        aria-controls="navbarNav"
        aria-expanded="false"
        aria-label="Toggle navigation"
      >
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarNav">
        <ul class="navbar-nav ms-auto" id="navbarNavUl">
          <li *ngIf="ismain || isreset" class="nav-item">
            <a
              class="nav-link"
              data-bs-toggle="modal"
              data-bs-target="#exampleModal"
              href="#"
              id="checkInNav"
              >Registro</a
            >
          </li>
          <li *ngIf="ismain || isreset" class="nav-item">
            <a
              class="nav-link"
              href="#"
              data-bs-toggle="modal"
              data-bs-target="#signin"
              id="entryNav"
              >Ingresar
            </a>
          </li>

          <li *ngIf="ismenu" class="nav-item d-flex">
            <p-avatar
              image="{{ photourl }}"
              styleClass="p-mr-2"
              [style]="{ 'background-color': '#9c27b0', color: '#ffffff' }"
              shape="circle"
            ></p-avatar>
            <a class="nav-link" routerLink="/menu/perfil"
              >{{ user.nombre | titlecase }}
            </a>
          </li>
          <li *ngIf="ismenu" class="nav-item">
            <a (click)="salir()" class="nav-link">Salir </a>
          </li>
        </ul>
      </div>
    </div>
  </nav>
  <!-- MOdal Registro -->
  <div
    class="modal fade"
    id="exampleModal"
    tabindex="-1"
    aria-labelledby="exampleModalLabel"
    aria-hidden="true"
  >
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLabel">
            Complete el siguiente Formulario
          </h5>
          <button
            type="button"
            class="btn-close"
            data-bs-dismiss="modal"
            aria-label="Close"
          ></button>
        </div>
        <div class="modal-body">
          <form
            [formGroup]="formRegistro"
            (submit)="registarse(formRegistro)"
            class="row g-3"
          >
            <div class="col-md-6">
              <label for="inputname" class="form-label">Nombre</label>
              <input
                required
                type="text"
                formControlName="name"
                class="form-control"
                id="inputname"
              />
            </div>
            <div class="col-md-6">
              <label for="inputsurname" class="form-label">Apellido</label>
              <input
                type="text"
                formControlName="surname"
                class="form-control"
                id="inputsurname"
              />
            </div>

            <div class="col-12">
              <label for="inputcorreo" class="form-label"
                >Direccion de correo</label
              >
              <input
                formControlName="email"
                type="email"
                class="form-control"
                id="inputcorreo"
                placeholder="tucorreo@gmail.com"
              />
            </div>
            <div class="col-12">
              <label for="inputPass" class="form-label">Constraseña</label>
              <input
                formControlName="password"
                type="password"
                class="form-control"
                id="inputPass"
                placeholder="*********"
              />
            </div>
            <div class="col-md-6">
              <label for="inputCity" class="form-label">Ciudad</label>
              <input
                type="text"
                formControlName="city"
                class="form-control"
                id="inputCity"
              />
            </div>
            <div class="col-md-6">
              <label for="inputState" class="form-label">Provincia</label>
              <select
                id="inputState"
                formControlName="province"
                class="form-select"
              >
                <option selected>Buenos Aires</option>
                <option>Catamarca</option>
                <option>Chaco</option>
                <option>Chubut</option>
                <option>Córdoba</option>
                <option>Corrientes</option>
                <option>Entre Ríos</option>
                <option>Formosa</option>
                <option>Jujuy</option>
                <option>La Pampa</option>
                <option>La Rioja</option>
                <option>Mendoza</option>
                <option>Misiones</option>
                <option>Neuquén</option>
                <option>Rio Negro</option>
                <option>Salta</option>
                <option>San Juan</option>
                <option>San Luis</option>
                <option>Santa Cruz</option>
                <option>Santa Fe</option>
                <option>Santiego del estero</option>
                <option>Tierra del fuego</option>
                <option>Tucumán</option>
              </select>
            </div>
            <div class="col">
              <div
                *ngIf="msgRegistro.stado"
                [ngClass]="msgRegistro.color"
                class="alert"
              >
                {{ msgRegistro.msg }}
              </div>
              <button
                [disabled]="formRegistro.invalid"
                type="submit"
                class="btn btn-primary col-6 btn-lg"
              >
                Enviar
              </button>
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>

  <!-- Modal  Ingresar-->
  <div
    class="modal fade"
    id="signin"
    tabindex="-1"
    aria-labelledby="exampleModalLabel"
    aria-hidden="true"
  >
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLabel">Iniciar Sesión</h5>
          <button
            id="buttonCloseModalIngresar"
            type="button"
            class="btn-close"
            data-bs-dismiss="modal"
            aria-label="Close"
          ></button>
        </div>
        <div class="modal-body">
          <!-- Registro -->
          <form [formGroup]="formLogin" (submit)="logearse(formLogin)">
            <div class="row mb-3">
              <label for="signin-email" class="col-sm-2 col-form-label"
                >Email</label
              >
              <div class="col-sm-10">
                <input
                  formControlName="email"
                  type="email"
                  class="form-control"
                  placeholder="Correo"
                  required
                />
                <div
                  *ngIf="emailFromLogin?.invalid && emailFromLogin?.touched"
                  class="aler alert-danger"
                >
                  <p class="small" *ngIf="emailFromLogin?.hasError('email')">
                    Email no valido
                  </p>
                  <p class="small" *ngIf="emailFromLogin?.hasError('required')">
                    El campo es requerido
                  </p>
                </div>
              </div>
            </div>
            <div class="row mb-3">
              <label for="signin-password" class="col-sm-2 col-form-label"
                >Password</label
              >
              <div class="col-sm-10">
                <input
                  formControlName="password"
                  type="password"
                  class="form-control"
                  placeholder="Password"
                  required
                />
                <div
                  *ngIf="
                    passwordFromLogin?.invalid && passwordFromLogin?.touched
                  "
                  class="alert alert-danger small"
                >
                  La contraseña es requerida
                </div>
              </div>
            </div>
            <div *ngIf="msgLogin" class="aler alert-danger">
              {{ msgLogin }}
            </div>
            <div>
              <a (click)="sendReset()" class="link-danger" routerLink="reset">
                ¿Olvido su contraseña?
              </a>
            </div>
            <div class="row d-flex justify-content-start">
              <button
                [disabled]="formLogin.invalid"
                type="submit"
                class="btn btn-outline-primary col-12 col-md-4 m-md-2"
              >
                Ingresar
              </button>
              <button
                (click)="signupGooglepop()"
                type="button"
                class="btn btn-outline-danger col-12 col-md-4 m-md-2"
              >
                Google
              </button>
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>
</header>
